## EomPropertiesDialog

EomPropertiesDialog

## Functions

GtkWidget * | eom_properties_dialog_new ()
void | eom_properties_dialog_update ()
void | eom_properties_dialog_set_page ()
void | eom_properties_dialog_set_netbook_mode ()

## Properties

gboolean | netbook-mode | Read / Write
EomThumbView * | thumbview | Read / Write / Construct Only

## Types and Values

enum | EomPropertiesDialogPage
struct | EomPropertiesDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── EomPropertiesDialog

## Implemented Interfaces

EomPropertiesDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### eom_properties_dialog_new ()

    GtkWidget *
    eom_properties_dialog_new (GtkWindow *parent,
                               EomThumbView *thumbview,
                               GtkAction *next_image_action,
                               GtkAction *previous_image_action);

#### Parameters

parent | the dialog's parent window |

#### Returns

a new EomPropertiesDialog.

[transfer full][type EomPropertiesDialog]

### eom_properties_dialog_update ()

    void
    eom_properties_dialog_update (EomPropertiesDialog *prop,
                                  EomImage *image);

### eom_properties_dialog_set_page ()

    void
    eom_properties_dialog_set_page (EomPropertiesDialog *prop,
                                    EomPropertiesDialogPage page);

### eom_properties_dialog_set_netbook_mode ()

    void
    eom_properties_dialog_set_netbook_mode
                                   (EomPropertiesDialog *dlg,
                                    gboolean enable);

## Types and Values

### enum EomPropertiesDialogPage

#### Members

EOM_PROPERTIES_DIALOG_PAGE_GENERAL |  |
EOM_PROPERTIES_DIALOG_PAGE_EXIF |  |
EOM_PROPERTIES_DIALOG_PAGE_DETAILS |  |
EOM_PROPERTIES_DIALOG_N_PAGES |  |

### struct EomPropertiesDialog

    struct EomPropertiesDialog;

## Property Details

### The `“netbook-mode”` property

      “netbook-mode”             gboolean

Netbook Mode.

Owner: EomPropertiesDialog

Flags: Read / Write

Default value: FALSE

### The `“thumbview”` property

      “thumbview”                EomThumbView *

Thumbview.

Owner: EomPropertiesDialog

Flags: Read / Write / Construct Only